Page MenuHomePhabricator

Have MediaInfo store its entities in an MCR slot on the associated file page
Closed, ResolvedPublic

Description

Once MCR's storage layer is complete, MediaInfo needs to use a slot on the file page to store the entity associated with that file page. This is a prerequisite for deployment of SDC General first feature, multilingual captions.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterMake MediaInfo work with MCR
mediawiki/extensions/Wikibase : masterAdjust mock Page to deal with getRevisionRecord call
mediawiki/extensions/Wikibase : masterFix WikiPageEntityMetaDataLookup::getWhere for MCR
mediawiki/extensions/Wikibase : masterMCR: If a revision doesn't have our role, it doesn't have our entity
mediawiki/extensions/WikibaseMediaInfo : masterWork in progress

Related Objects

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 1 2018, 1:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Aug 3 2018, 1:16 AM
Ramsey-WMF assigned this task to Cparle.Aug 20 2018, 4:45 PM
Jdforrester-WMF changed the task status from Stalled to Open.Aug 20 2018, 6:07 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

No longer stalled, I believe.

Addshore moved this task from incoming to monitoring on the Wikidata board.Sep 17 2018, 8:20 AM

Change 461415 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] MCR: If a revision doesn't have our role, it doesn't have our entity

https://gerrit.wikimedia.org/r/461415

Change 461436 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] WIP Fix WikiPageEntityMetaDataLookup::getWhere for MCR

https://gerrit.wikimedia.org/r/461436

Change 461956 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Work in progress

https://gerrit.wikimedia.org/r/461956

Change 461415 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] MCR: If a revision doesn't have our role, it doesn't have our entity

https://gerrit.wikimedia.org/r/461415

Change 461956 abandoned by Cparle:
Work in progress

Reason:
Aargh! I dunno how this got pushed, but it shouldn't have been. A proper patch is incoming

https://gerrit.wikimedia.org/r/461956

Change 462743 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Work in progress

https://gerrit.wikimedia.org/r/462743

Change 461436 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix WikiPageEntityMetaDataLookup::getWhere for MCR

https://gerrit.wikimedia.org/r/461436

Change 464365 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/Wikibase@master] Adjust mock Page to real with getRevisionRecord call

https://gerrit.wikimedia.org/r/464365

Change 464365 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Adjust mock Page to deal with getRevisionRecord call

https://gerrit.wikimedia.org/r/464365

Change 462743 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Make MediaInfo work with MCR

https://gerrit.wikimedia.org/r/462743

Engineering sign-off done. Now waiting for product sign-off.

Ramsey-WMF closed this task as Resolved.Nov 9 2018, 9:35 PM